# class ScreenOrientation

#### package js.html

#### extends EventTarget

Available on HTML5

### Variables

###

`read onlyangle:Int`

###

`onchange:Function`

###

`read onlytype:OrientationType`

### Methods

###

`lock (orientation:OrientationLockType):Promise<Void>`

Throws:

`null` | DOMError

###

`unlock ():Void`

Throws:

`null` | DOMError

### Inherited Variables

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError